## mx4j.tools.adaptor.interceptor
Class InvokerAdaptorInterceptor

    java.lang.Object
      mx4j.tools.adaptor.interceptor.AdaptorInterceptor
          mx4j.tools.adaptor.interceptor.InvokerAdaptorInterceptor

All Implemented Interfaces:
  AdaptorInterceptorMBean, Interceptor, Invocable

public final class InvokerAdaptorInterceptor
extends AdaptorInterceptor

Version:
  $Revision: 1.3 $

Constructor Summary
`InvokerAdaptorInterceptor()`

Method Summary
`protected InvocationResult` `doInvoke(Invocation invocation)` The real invocation on the interceptor chain.
`java.lang.String` `getType()` Returns the type of this interceptor
`InvocationResult` `invoke(Invocation invocation)` Invocation method
`boolean` `isEnabled()` This interceptor is always enabled
`void` `setEnabled(boolean value)` Cannot change the status of this attribute, this interceptor is always enabled
`void` `setMBeanServer(javax.management.MBeanServer server)`

Methods inherited from class mx4j.tools.adaptor.interceptor.AdaptorInterceptor
`getLogger, getMBeanServer, getNext, getObjectName, postInvoke, preInvoke, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokerAdaptorInterceptor

    public InvokerAdaptorInterceptor()

Method Detail

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  Overrides:
    `setMBeanServer` in class `AdaptorInterceptor`

### getType

    public java.lang.String getType()

  Description copied from interface: `Interceptor`
  Returns the type of this interceptor

  Specified by:
    `getType` in interface `Interceptor`
  Overrides:
    `getType` in class `AdaptorInterceptor`

### setEnabled

    public void setEnabled(boolean value)

  Cannot change the status of this attribute, this interceptor is always enabled

  Specified by:
    `setEnabled` in interface `AdaptorInterceptorMBean`
  Overrides:
    `setEnabled` in class `AdaptorInterceptor`

### isEnabled

    public boolean isEnabled()

  This interceptor is always enabled

  Specified by:
    `isEnabled` in interface `AdaptorInterceptorMBean`
  Overrides:
    `isEnabled` in class `AdaptorInterceptor`

### invoke

    public InvocationResult invoke(Invocation invocation)
                            throws java.lang.Exception

  Description copied from interface: `Invocable`
  Invocation method

  Specified by:
    `invoke` in interface `Invocable`
  Overrides:
    `invoke` in class `AdaptorInterceptor`
  Throws:
    `java.lang.Exception`

### doInvoke

    protected InvocationResult doInvoke(Invocation invocation)
                                 throws java.lang.Exception

  Description copied from class: `AdaptorInterceptor`
  The real invocation on the interceptor chain.
  By default calls the next interceptor in the chain.

  Overrides:
    `doInvoke` in class `AdaptorInterceptor`
  Throws:
    `java.lang.Exception`
  See Also:
    `AdaptorInterceptor.setNext(mx4j.tools.adaptor.interceptor.Interceptor)`, `AdaptorInterceptor.preInvoke(mx4j.tools.adaptor.interceptor.Invocation)`, `AdaptorInterceptor.postInvoke(mx4j.tools.adaptor.interceptor.Invocation)`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.